Bug 226482 - Merge Review: tcp_wrappers
Merge Review: tcp_wrappers
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: tcp_wrappers (Show other bugs)
23
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ondrej Hudlicky
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F9MergeReviewTarget
  Show dependency treegraph
 
Reported: 2007-01-31 16:09 EST by Nobody's working on this, feel free to take it
Modified: 2016-11-28 04:42 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-28 04:42:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 16:09:19 EST
Fedora Merge Review: tcp_wrappers

http://cvs.fedora.redhat.com/viewcvs/devel/tcp_wrappers/
Initial Owner: twoerner@redhat.com
Comment 1 Jose Pedro Oliveira 2007-03-09 15:12:04 EST
Review against tcp_wrappers-7.6-43

Tomas,

The following itens should be fixed/improved:
 * the post/postun scripts belong to the -libs subpackage
 * remove the end dots in the summary lines (rpmlint)
 * the buildroot is not the canonical one
 * the files timestamps should be preserved (replace "cp" by "install -p mxxx")
 * replace %defattr(-,root,root) by  %defattr(-,root,root,-)

Other
 * Why is tcpd installed with a 711 mask?
Comment 2 Jose Pedro Oliveira 2007-03-30 16:11:51 EDT
ping
Comment 3 Jose Pedro Oliveira 2007-06-28 10:16:35 EDT
Reassigning this bug to the component owner.
Comment 4 Jose Pedro Oliveira 2007-06-28 10:19:06 EDT
Manually reassigning to Tomas Janousek.
Comment 5 Tomas Janousek 2007-10-16 06:03:14 EDT
Package Change Request
======================
Package Name: tcp_wrappers
New Branches: F-8
Comment 6 Kevin Fenzi 2007-10-16 12:03:41 EDT
cvs done.
Comment 7 Tomas Janousek 2007-10-16 12:14:41 EDT
Thanks for your review and sorry for the delay.

I incorporated your suggestions:
http://cvs.fedoraproject.org/viewcvs/rpms/tcp_wrappers/devel/tcp_wrappers.spec?r1=1.33&r2=1.34
Please note that at least the License field has changed since the time you
reviewed it.

The tcpd binary was 711 since/because of this changelog entry:

* Tue May 16 2000 Chris Evans <chris@ferret.lmh.ox.ac.uk>
- Make tcpd mode -rwx--x--x as a security hardening measure

I changed it to 755, since even suid binaries are no longer non-readable.
Comment 9 Robert Scheck 2008-12-28 16:26:19 EST
Adding Tomas Janousek on Cc because of being the current maintainer.
Comment 10 Michal Nowak 2009-04-09 09:22:22 EDT
* tcp_wrappers.src: W: mixed-use-of-spaces-and-tabs (spaces: line 249, tab: line 37)

Sane. Easy.

* tcp_wrappers.x86_64: E: obsolete-on-name

I wonder why tcp_wrappers obsoletes itself, for clean update path is >N-V-R enough when the name is the same, right?

* tcp_wrappers-devel.x86_64: W: summary-not-capitalized tcp_wrappers development libraries and headers
* tcp_wrappers-libs.x86_64: W: summary-not-capitalized tcp_wrappers libraries

tcp_wrappers-libs... -> Tcp_wrappers-libs...

* tcp_wrappers-devel.x86_64: W: obsolete-not-provided tcp_wrappers
* tcp_wrappers-libs.x86_64: W: obsolete-not-provided tcp_wrappers

preferably dump the whote "Obsoletes" and we are done.

The rest looks good to me.
Comment 11 Jan Safranek 2009-04-09 09:35:31 EDT
jchadima is current tcp_wrappers owner
Comment 12 Michal Nowak 2009-08-11 09:23:12 EDT
ping
Comment 14 Jan F. Chadima 2010-01-06 05:21:25 EST
All requested actios done.
Comment 15 Michal Nowak 2010-01-06 05:37:26 EST
Will get back to this, when I find more time.
Comment 17 Cole Robinson 2015-02-11 15:39:16 EST
Mass reassigning all merge reviews to their component. For more details, see this FESCO ticket:

  https://fedorahosted.org/fesco/ticket/1269

If you don't know what merge reviews are about, please see:

  https://fedoraproject.org/wiki/Merge_Reviews

How to handle this bug is left to the discretion of the package maintainer.
Comment 18 Jan Kurik 2015-07-15 11:23:23 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 19 Fedora End Of Life 2016-11-24 05:21:46 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 20 Jakub Jelen 2016-11-28 04:42:04 EST
I just updated minor problems found from Fedora Review and pointed out in the above comments:
     * Remove BuildRoot
     * add smp flags
     * remove %clean
     * fully versioned requires

The update to rawhide is coming. The older releases are not needed.

Note You need to log in before you can comment on or make changes to this bug.